Unit tqsf9e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSF9E_p, QSF9E_p;

function tqsf9e: String;

implementation

function tqsf9e: String;
var
I,IERR :Integer;
PI0 :Extended;
RINT :Array [0..9] of Extended;
R :Array [0..14] of Extended;
IND :Array [0..4] of Integer;
label
_1;
begin
Result := '';  {   }
PI0 := 1.570796326794896e0;

for I:=0 to 9 do
 begin
  RINT[I] := 0.e0;
 end;

QSF9E(RINT,-PI0,PI0,FQSF9E,1.e0,0.e0,5,1.e-4,2,1,1,IND,
     R,IERR);
for I:=1 to 5 do
 begin
  Result := Result + Format('%2d %20.16f %20.16f %5d ',
 [I,RINT[(I-1)+0],RINT[(I-1)+5],IND[I-1]]) + #$0D#$0A;
_1:
 end;
UtRes('tqsf9e',Result);  {     tqsf9e.res }
exit;
end;

end.
